package com.cmvr.edge.client.service;

import cmvr.api.SystemCommand;
import com.cmvr.device.domain.DeDeviceRegistration;
import com.cmvr.device.domain.vo.Device;

import java.util.List;

/**
 * 边缘系统服务接口
 */
public interface EdgeSystemService {
    /**
     * 获取系统状态
     * @return 系统状态信息，包含CPU使用率、内存使用情况、磁盘使用情况和设备列表
     */
    SystemCommand.GetSystemStatusCommand.Feedback getSystemStatus(String terminalId);


    public List<DeDeviceRegistration> deviceList(String terminalId);

    public String stopAll(String terminalId);
}